Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 200295 - Completion list navigation fails in some situations
Completion list navigation fails in some situations
Status: RESOLVED FIXED
Product: editor
Classification: Unclassified
Component: Completion & Templates
7.0
PC Windows XP
: P3 (vote)
: 7.1
Assigned To: Dusan Balek
issues@editor
:
Depends on:
Blocks: 179047
  Show dependency treegraph
 
Reported: 2011-07-21 18:48 UTC by err
Modified: 2011-07-28 14:00 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
use JTC property to force heavyweight completion popup (905 bytes, patch)
2011-07-21 18:48 UTC, err
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description err 2011-07-21 18:48:15 UTC
Created attachment 109560 [details]
use JTC property to force heavyweight completion popup

The navigation fails when there's a text component on the glass pane and the text component brings up an associated completion list. The up/down arrows and the mouse clicks don't work.

I think this is jVi only (and possibly due to an underlying jdk issue). jVi pops up a command line for colon command and search pattern entry and this command line uses the code completion infrastructure. There an option for the command line to be either a modal dialog or on top of a glass pane. Some OS/jvm/window-manger combinations only work with one or the other.

I've discovered that the problem only shows up if the code completion popup is lightweight. 

Attached is a patch that forces a heavyweight popup if the text component has a particular client property. I hope this trivial patch, or something similar, can be applied.
Comment 1 err 2011-07-26 20:28:49 UTC
I don't know the proper way to pursue getting this trivial patch (or something like it) applied; or even to get a "won't do" response. I've added to cc list for more exposure.
Comment 2 Dusan Balek 2011-07-27 08:09:10 UTC
Patch integrated.

http://hg.netbeans.org/jet-main/rev/85dea862af28
Comment 3 Quality Engineering 2011-07-28 14:00:09 UTC
Integrated into 'main-golden'
Changeset: http://hg.netbeans.org/main-golden/rev/85dea862af28
User: Dusan Balek <dbalek@netbeans.org>
Log: Issue #200295: Completion list navigation fails in some situations - patch integrated.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo